tika-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Uwe Schindler (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (TIKA-1053) Upgrade Tika Parsers to use ASM 4.x
Date Thu, 07 Feb 2013 14:31:13 GMT

    [ https://issues.apache.org/jira/browse/TIKA-1053?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13573537#comment-13573537
] 

Uwe Schindler commented on TIKA-1053:
-------------------------------------

+1

One note from my experience with ASM: asm-debug-all is nothing really "debug-like" it is just
the version of ASM with Java 5 generics, so the dependency is correct. Otherwise you would
need unsafe casts all the time in the ASM code.

The patch looks correct, when I upgraeded the policeman checker of Lucene the only change
was to move from implements -> extends and the ctor param.
                
> Upgrade Tika Parsers to use ASM 4.x
> -----------------------------------
>
>                 Key: TIKA-1053
>                 URL: https://issues.apache.org/jira/browse/TIKA-1053
>             Project: Tika
>          Issue Type: Improvement
>          Components: parser
>    Affects Versions: 1.2
>            Reporter: Vincent Massol
>            Assignee: Michael McCandless
>         Attachments: TIKA-1053.patch
>
>
> Right now Tika 1.2 uses ASM 3.1. 
> However this is causing some issues for us on the XWiki project since we also bundle
other framework that use a more recent version of ASM (we use pegdown which uses parboiled
which draws ASM 4.0).
> The problem is that ASM 3.x and 4.0 are not compatible...
> See http://jira.xwiki.org/browse/XE-1269 for more details about the issue we're facing.
> Thanks for considering upgrading to ASM 4.x :)

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message